package cn.pluss.platform.activityRecommend.impl;

import java.util.List;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.pluss.platform.activityRecommend.ActivityRecommendService;
import cn.pluss.platform.entity.ActivityRecommend;
import cn.pluss.platform.mapper.ActivityRecommendMapper;
@Service("activityRecommendService")
public class ActivityRecommendServiceImpl  implements ActivityRecommendService{

	 private static final Logger logger = LoggerFactory.getLogger( ActivityRecommendServiceImpl.class);


    @Autowired
	  private ActivityRecommendMapper activityRecommendMapper;

    @Override
    public ActivityRecommend queryActivityRecommend(ActivityRecommend activityRecommend){
        return activityRecommendMapper.queryActivityRecommend(activityRecommend);
    }

    @Override
    public List<ActivityRecommend> queryActivityRecommendList(ActivityRecommend activityRecommend){
        return activityRecommendMapper.queryActivityRecommendList(activityRecommend);
    }
    
    @Override
    public void saveActivityRecommend(ActivityRecommend activityRecommend) {
          activityRecommendMapper.saveActivityRecommend(activityRecommend);
    }
    @Override
    public void updateActivityRecommend(ActivityRecommend activityRecommend){
        activityRecommendMapper.updateActivityRecommend(activityRecommend);
    }
    @Override
    public void deleteActivityRecommend(ActivityRecommend activityRecommend){
        activityRecommendMapper.deleteActivityRecommend(activityRecommend);
    }
    @Override
    public List<ActivityRecommend> queryActivityRecommendPage(Map map){
        return activityRecommendMapper.queryActivityRecommendPage(map);
    }
    @Override
    public Integer queryActivityRecommendPageCount(Map map){
        return activityRecommendMapper.queryActivityRecommendPageCount(map);
    }
    @Override
    public void saveActivityRecommendBatch(List<ActivityRecommend> activityRecommendList) {
         activityRecommendMapper.saveActivityRecommendBatch(activityRecommendList);
    }
}

